﻿using System.Web.Mvc;

namespace FaceSharp.MVC.Areas.FacebookApp
{
    public class FacebookAppAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "FacebookApp";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                "FacebookApp_default_tab",
                "FacebookApp/PageTab/{action}/{id}",
                new { controller = "Default", action = "PageTab", id = UrlParameter.Optional }
            );
            context.MapRoute(
                "FacebookApp_default",
                "FacebookApp/{controller}/{action}/{id}",
                new {controller = "Test", action = "Index", id = UrlParameter.Optional }
            );
        }
    }
}
