﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/FacebookApp/Views/Shared/FacebookApp.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import Namespace="FaceSharp.Api.Types" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">Accounts</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="breadcrumb"><%=Html.ActionLink("Back to Test Suite", "Index")%></div>

    <h2>Accounts</h2>
    
    
       <h3>Details</h3>
    <section class="example">
        <% using(Html.BeginForm("AccountDetails","Test",FormMethod.Post)){ %>
            <label for="AccountId">Page:</label>
            <select id="Select1" name="AccountId">
                <% foreach (var account in ((IList<User.AccountData>)Model).OrderBy(x => x.Name)) { %>
                <option value="<%= account.Id %>"><%= account.Name + " - " + account.Category %></option>
                <% } %>
            </select>
            <input class="button" type="submit" value="Account Details" />
        <% } %>
    </section>
    
    <h3>Set Restriction</h3>
    <section class="example">
        <% using(Html.BeginForm("AccountSetRestriction","Test",FormMethod.Post)){ %>
            <label for="AccountId">Page/App:</label>
            <select id="Select2" name="AccountId">
                <% foreach (var account in ((IList<User.AccountData>)Model).OrderBy(x => (x.Category == "Application")).ThenBy(x => x.Name)) { %>
                <option value="<%= account.Id %>"><%= account.Name + " - " + account.Category %></option>
                <% } %>
            </select>
            <label for="AppSecret">Application Secret: </label>
            <input type="text" id="AppSecret" name="AppSecret"/>(only needed for apps)

            <input class="button" type="submit" value="Account Details" />
        <% } %>
    </section>
    
    <h3>Download Insights</h3>
    <section class="example">
        <% using(Html.BeginForm("DownloadInsights","Test",FormMethod.Post)){ %>
            <label for="AccountId">Page/App:</label>
            <select id="Select3" name="AccountId">
                <% foreach (var account in ((IList<User.AccountData>)Model).OrderBy(x => (x.Category == "Application")).ThenBy(x => x.Name)) { %>
                <option value="<%= account.Id %>"><%= account.Name + " - " + account.Category %></option>
                <% } %>
            </select>
            <label for="AppSecret">Application Secret: </label>
            <input type="text" id="Text1" name="AppSecret"/>(only needed for apps)

            <input class="button" type="submit" value="Account Details" />
        <% } %>
    </section>

    <h3>Post to Wall</h3>
    <section class="example">
        <% using(Html.BeginForm("AccountPublishExecute","Test",FormMethod.Post)){ %>
            <label for="AccountId">Page:</label>
            <select id="AccountId" name="AccountId">
                <% foreach (var account in ((IList<User.AccountData>)Model).OrderBy(x => x.Name)) { %>
                <option value="<%= account.Id %>"><%= account.Name + " - " + account.Category %></option>
                <% } %>
            </select>

            <label for="Message">Your Message:</label>
            <textarea id="Message" name="Message" cols="50" rows="4"></textarea>

            <input class="button" type="submit" value="Post to Selected Wall" />
        <% } %>
    </section>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageBottomContent" runat="server">
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="PageSpecificJsDomReadyMethods" runat="server">
</asp:Content>

<asp:Content ID="Content6" ContentPlaceHolderID="PageSpecificJs" runat="server">
</asp:Content>