﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/FacebookApp/Views/Shared/FacebookApp.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import Namespace="FaceSharp.Api.Types" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">Dashboard</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="breadcrumb"><%=Html.ActionLink("Back to Test Suite", "Index")%></div>

    <h2>Dashboard</h2>

    <h3>Dashboard.IncrementCount</h3>
    <section class="example">
        <p>Implemented using facebook graph api session.</p>

        <% using(Html.BeginForm("DashboardIncrementCount","test",FormMethod.Post)){ %>
            <input class="button" type="submit" value="Increment my Count" />
        <% } %>
    </section>

    <h3>Dashboard.IncrementCount (passing in destination user id)</h3>
    <section class="example">
        <p>Implemented using older style signed and hashed facebook api (newer style does not give you sufficient privileges to update someone else's counter.).</p>

        <% using(Html.BeginForm("DashboardIncrementCount","test",FormMethod.Post)){ %>
            <select id="userId" name="userId">
                <% foreach (var user in (IList<User>)Model) { %>
                <option value="<%= user.Id %>"><%= user.Name %></option>
                <% } %>
            </select>

            <input class="button" type="submit" value="Increment friend Count" />
        <% } %>
    </section>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageBottomContent" runat="server">
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="PageSpecificJsDomReadyMethods" runat="server">
</asp:Content>

<asp:Content ID="Content6" ContentPlaceHolderID="PageSpecificJs" runat="server">
</asp:Content>