﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/FacebookApp/Views/Shared/FacebookApp.Master" Inherits="System.Web.Mvc.ViewPage<FaceSharp.Api.Types.Group>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">Group</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="breadcrumb"><%=Html.ActionLink("Back to Test Suite", "Index")%> &raquo; <%=Html.ActionLink("Back to Groups","Groups") %></div>

    <h2>Group Details</h2>

    <section class="example">
        <ul>
            <li><strong>Group: </strong><% =Model.Name %></li>
            <li><strong>Owner: </strong><% =Model.Owner.Name %></li>
            <li><strong>Description : </strong><% =Model.Description %></li>
            <li><strong>Privacy: </strong><% =Model.Privacy %></li>
            <li><strong>Updated Time: </strong><% =Model.UpdatedTime %></li>
            <li><strong>Venue:</strong>
                <ul>
                    <li><strong>Street: </strong><% =Model.Venue.Street %></li>
                    <li><strong>City: </strong><% =Model.Venue.City %></li>
                    <li><strong>State: </strong><% =Model.Venue.State %></li>
                    <li><strong>Zip: </strong><% =Model.Venue.Zip %></li>
                    <li><strong>Country: </strong><% =Model.Venue.Country %></li>
                    <li><strong>Latitude: </strong><% =Model.Venue.Latitude %></li>
                    <li><strong>Longitute: </strong><% =Model.Venue.Longitude %></li>
                </ul>
            </li>
        </ul>

        <p><%=Html.ActionLink("Get Group Members","GroupMembers", new {id = Model.Id }, null) %></p>
    </section>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageBottomContent" runat="server">
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="PageSpecificJsDomReadyMethods" runat="server">
</asp:Content>

<asp:Content ID="Content6" ContentPlaceHolderID="PageSpecificJs" runat="server">
</asp:Content>