﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/FacebookApp/Views/Shared/FacebookApp.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import Namespace="FaceSharp.Api.Types" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">Insights</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Insights</h2>
    
 

    <%=Html.ActionLink("Back to Tests","Index") %><br />

    <% using(Html.BeginForm("InsightsExecute","Test",FormMethod.Post, new {@id="InsightsForm"})) { %>
        
        <h3>Pages:</h3>
        
        <label for="PageId">Page:</label>
        <select name="PageId">
            <option value="">Select a Page</option>
        <% foreach (var account in ((IList<User.AccountData>)ViewData["PagesData"]).OrderBy(x => x.Name)) { %>
            <option value="<%= account.Id %>"><%= account.Name + " - " + account.Category %></option>
        <% } %>
        </select><br />
        
        <label for="PageAppMetric">App Metric:</label>
        <select name="PageAppMetric" id="PageAppMetric"></select>
        <br/>
        <b>Details :</b> <div id="PageAppMetricDetails">Details</div>
        <b>Available Periods:</b> <div id="PageAppMetricPeriods">Details</div><br/>
        <select name="PagePeriod">
            <option value="">None</option>
            <option value="day">Day</option>
            <option value="week">Week</option>
            <option value="days_28">Days 28</option>
            <option value="lifetime">Lifetime</option>
        </select>
        
        <label for="PageSince">Since: </label><input type="text" value="<% = DateTime.Now.AddMonths(-1).ToString("yyyy-MM-dd") %>" name="PageSince" id="PageSince"/>
        <label for="PageUntil">Until: </label><input type="text" value="<% = DateTime.Now.ToString("yyyy-MM-dd") %>" name="PageUntil" id="PageUntil"/>
                    

        <input type="submit" value="Get Insights Data" />
    <% } %>

    <hr noshade />
<%--
    <h2>Insights for current app:</h2>
    <textarea cols="80" rows="10"><% =ViewData["Insights"] %></textarea>
    <hr noshade />--%>

    <h2>Results:</h2>
    <a href="javascript:TableToExcel()">Copy table to clipboard</a><br/>
    <div id="results"></div>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
   

</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageBottomContent" runat="server">
       <script src="//malsup.github.com/jquery.form.js"></script>
    <script id="InsightOptionTemplate" type="text/x-jQuery-tmpl">
        <option value="${name}" data-description="${description}" data-availablePeriods=${availablePeriods}>${metric} - ${name}</option>
    </script>
    <script id="metricTemplate" type="text/x-jQuery-tmpl">
        {{each values}}
        <tr>
            <td>${title}</td>
            <td>${name}</td>
            <td>${id}</td>
            <td>${period}</td>
            {{tmpl($value) '#valuesTemplate'}}
            <td>${description}</td>
        </tr>
        {{/each}}
    </script>
   
    <script id="valuesTemplate" type="text/x-jQuery-tmpl">
        <td>${end_time}</td>
        <td>${value}</td>
    </script>
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="PageSpecificJsDomReadyMethods" runat="server">
</asp:Content>

<asp:Content ID="Content6" ContentPlaceHolderID="PageSpecificJs" runat="server">
       $.ajax({
       url:'/scripts/insights.json', 
       dataType: 'json',
       contentType: 'application/json; charset=utf-8',
       success: function (data) {
                $("#InsightOptionTemplate").tmpl(data.metrics).appendTo("#PageAppMetric");
                $("#InsightOptionTemplate").tmpl(data.metrics).appendTo("#AppAppMetric");

            }
        })
        .fail(function() { alert("error"); });
        $("#PageAppMetric").change(function () {
            $("#PageAppMetricDetails").text($('option:selected',this).attr('data-description'));
            $("#PageAppMetricPeriods").text($('option:selected',this).attr('data-availablePeriods'));
        });
        $("#AppAppMetric").change(function () {
            $("#AppAppMetricDetails").text($('option:selected',this).attr('data-description'));
            $("#AppAppMetricPeriods").text($('option:selected',this).attr('data-availablePeriods'));
        });
        $('#InsightsForm').ajaxForm(
        {
            datatype: 'json',
            success: function(data)
            {
                    var $table = $('<table cellpadding="0" cellspacing="1" border="1" id="insightsTable"><thead><tr><th>Title</th><th>Name</th><th>ID</th><th>Period</th><th>End Time</th><th>Value</th><th>Description</th></tr></thead></table>');
                               var $tbody = $('#metricTemplate').tmpl(data.data).appendTo($('<tbody>'));
                                  $tbody.appendTo($table);
                              
                    // add to DOM
                    $('#results').html($table);
            }

        }
        
        ); 
                function TableToExcel()
        {
        var strCopy = $('#results').innerHTML;
        window.clipboardData.setData("Text", strCopy);
<%--        var objExcel = new ActiveXObject ("Excel.Application");
        objExcel.visible = true;

        var objWorkbook = objExcel.Workbooks.Add;
        var objWorksheet = objWorkbook.Worksheets(1);
        objWorksheet.Paste;--%>
        }
</asp:Content>