﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/FacebookApp/Views/Shared/FacebookApp.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import  Namespace="FaceSharp.Api.Types" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">Places</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="breadcrumb"><%=Html.ActionLink("Back to Test Suite", "Index")%></div>

    <h2>Places</h2>

    <% var myCheckings = (IList<PlaceType>)ViewData["MyCheckins"]; %>
    <h3>My Checkins:</h3>
    <section class="example">
        <ul>
        <% foreach (var myCheckin in myCheckings){ %>
            <li><strong>From:</strong> <% =myCheckin.From.Name%>
            <li><strong>Where:</strong> <% =myCheckin.Place.Name%>
            <li><strong>Using:</strong> <% =myCheckin.Application == null ? "" : myCheckin.Application.Name %>
        <% } %>
        </ul>
    </section>

    <% var recentCheckins = (IList<PlaceType>)ViewData["RecentCheckins"]; %>
    <h3>Recent Checkins:</h3>
    <% foreach (var recentCheckin in recentCheckins) { %>
        <section class="example">
            <ul>
                <li><strong>From:</strong> <% =recentCheckin.From.Name%>
                <li><strong>Where:</strong> <% =recentCheckin.Place.Name%>
                <li><strong>Using:</strong> <% =recentCheckin.Application == null ? "" : recentCheckin.Application.Name%>
            </ul>
        </section>
    <% } %>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageBottomContent" runat="server">
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="PageSpecificJsDomReadyMethods" runat="server">
</asp:Content>

<asp:Content ID="Content6" ContentPlaceHolderID="PageSpecificJs" runat="server">
</asp:Content>