﻿using System;
using System.Collections.Generic;
using System.Drawing.Imaging;
using System.Linq;
using System.Text;
using FaceSharp.Api;

namespace FaceSharp.Samples.Presenter
{
    public class AddPhotoPresenter
    {
        private readonly View.IPhotoAdd _photoAddView;
        private readonly FaceSharp.Api.FacebookApi _facebookApi;

        public AddPhotoPresenter(View.IPhotoAdd photoAddView)
        {
            _photoAddView = photoAddView;
            _facebookApi = new FacebookApi();
        }

        public void AddPhoto()
        {
            _facebookApi.Photo.Add(_photoAddView.AlbumId, _photoAddView.Message, _photoAddView.PhotoToAdd, ImageFormat.Jpeg);
        }
    }
}
