﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using FaceSharp.Api;
using FaceSharp.Api.Types;
using FaceSharp.MVC.Filters;

namespace FaceSharp.MVC.Areas.FacebookApp.Controllers
{
    public class DefaultController : BaseController
    {

        
        public ActionResult Index()
        {
            return View();
        }

        /// <summary>
        /// The URL to load when a user clicks your application's bookmark. If left blank, this field defaults to your Canvas or Connect URL.
        /// </summary>
        /// <returns></returns>
        public ActionResult Bookmark()
        {
            return View();
        }

        /// <summary>
        /// The absolute URL to your application's user help page.
        /// </summary>
        /// <returns></returns>
        public ActionResult Help()
        {
            return View();
        }

        /// <summary>
        /// The absolute URL to your application's privacy settings page.
        /// </summary>
        /// <returns></returns>
        public ActionResult Privacy()
        {
            return View();
        }

        /// <summary>
        /// The absolute URL to your application's terms of service.
        /// </summary>
        /// <returns></returns>
        public ActionResult TermsOfService()
        {
            return View();
        }

        public ActionResult PageTabRedirect()
        {
            return View();
            //return Redirect("http://www.facebook.com/apps/application.php?id=123419921037393&sk=app_123419921037393");
        }

    }
}
