﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/FacebookApp/Views/Shared/FacebookApp.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import  Namespace="FaceSharp.Api.Types" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">Events</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="breadcrumb"><%=Html.ActionLink("Back to Test Suite", "Index")%></div>

    <h2>My Events</h2>

    <% var myEvents = (IEnumerable<Event>)ViewData["MyEvents"]; %>
    <% foreach (var myEvent in myEvents){ %>
    <section class="example">
        <ul>
            <li><strong>Name: <%=Html.ActionLink(myEvent.Name,"Event","Test",new {id = myEvent.Id}, null) %></strong></li>
            <li><strong>Location:</strong> <% =myEvent.Location%></li>
            <li><strong>Start Time:</strong> <% =myEvent.StartTime %></li>
            <li><strong>End Time:</strong> <% =myEvent.EndTime %></li>
            <li><strong>RSVP:</strong> <% =myEvent.RSVPStatus %></li>
        </ul>
    </section>
    <% } %>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageBottomContent" runat="server">
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="PageSpecificJsDomReadyMethods" runat="server">
</asp:Content>

<asp:Content ID="Content6" ContentPlaceHolderID="PageSpecificJs" runat="server">
</asp:Content>