﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/FacebookApp/Views/Shared/FacebookApp.Master" Inherits="System.Web.Mvc.ViewPage<FaceSharp.Api.Types.User>" %>
<%@ Import Namespace="FaceSharp.MVC.Code.Facebook" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">Index</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<h2>Server-Side Authentication</h2>

<p>The following information is pulled through the Facebook API from <em>server side</em> code using the FaceSharp library.</p>
    <section id="server-side" class="example">
        <p>Your facebook id is: <%= Model.Id %></p>
        <p>Your name is: <%= Model.FirstName %> <%= Model.LastName %></p>
    </section>

    <h2>Client-Side Authentication</h2>
    
<p>The following information is pulled through the Facebook API from <em>client side</em> code using the Facebook Javascript library.</p>
    <section id="client-side" class="example">
    
    </section>


    <h2>Test Suite</h2>
    <p> The following areas exercise various aspects of the FaceSharp library and provide as a startingplace for building your own Facebook application.</p>
    <ul class="table-of-contents">
        <li><%=Html.ActionLink("Accounts","Accounts") %></li>
        <li><%=Html.ActionLink("Dashboard","Dashboard") %></li>
        <li><%=Html.ActionLink("Events","Events") %></li>
        <li><%=Html.ActionLink("Feed Publish","FeedPublish") %></li>
        <li><%=Html.ActionLink("FQL","Fql") %></li>
        <li><%=Html.ActionLink("Groups","Groups") %></li>
        <li><%=Html.ActionLink("Insights","Insights") %></li>
        <li><%=Html.ActionLink("Like","Likes") %></li>
        <li><%=Html.ActionLink("Notification","Notifications") %></li>
        <li><%=Html.ActionLink("Places","Places") %></li>
        <li><%=Html.ActionLink("Photos","Photos") %></li>
        <li><%=Html.ActionLink("Status","Status") %></li>
        <li><%=Html.ActionLink("Links","Links") %></li>
        <li><%=Html.ActionLink("DynamicExample", "DynamicExample")%></li>
    </ul>

    <h2>Advanced Examples</h2>
    <p> Teh folliwng shows more detailed exaples of facebook integrations.</p>
    <ul class="table-of-contents">
        <li><%=Html.ActionLink("Significant Others","SignificantOthers","Advanced") %></li>
        <li><%=Html.ActionLink("Close Friends (quick)","CloseFriends","Advanced") %></li>
        <li><%=Html.ActionLink("Closer Friends (slow)", "CloserFriends", "Advanced")%></li>
        <li><%=Html.ActionLink("Closest Friends (very slow)", "ClosestFriends", "Advanced")%></li>
        <li><%=Html.ActionLink("Top Likes in your Network", "FriendsLikes", "Advanced")%></li>
        <li><%=Html.ActionLink("NBA Fans in your Network", "NbaFans", "Advanced")%></li>
    </ul>


    <p><a href="http://twitter.com/share" class="twitter-share-button" data-count="vertical" data-related="FaceSharp" data-url="http://facesharp.codeplex.com" data-text="<% =("Checking out the #FaceSharp open source .NET Facebook starter kit #FacebookDev") %>">Tweet</a></p>
    <script src="http://platform.twitter.com/widgets.js"></script>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageBottomContent" runat="server">
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="PageSpecificJsDomReadyMethods" runat="server">
    $(document).bind('FB:ready', function(){
        FB.getLoginStatus(function(response){
            $('#client-side').append('<p>Status: ' + response.status + '</p>');

            if (response.session)
            {
                $('#client-side').append('<p>Your facebook id is: ' + FB.getSession().uid + '</p>');

                FB.api({method: 'fql.query', query: 'SELECT name, pic FROM profile WHERE id=' + FB.getSession().uid}, function(response) {
                    var user = response[0];
                    $('#client-side').append('<p>Your name is: ' + user.name + '</p>');
                });
                return;
            }
            
            $('#client-side').append('<p>You have not been authenticated.</p>');
        });
    });
</asp:Content>

<asp:Content ID="Content6" ContentPlaceHolderID="PageSpecificJs" runat="server">
</asp:Content>