﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/FacebookApp/Views/Shared/FacebookApp.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import Namespace="FaceSharp.Api.Types" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">Photos</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="breadcrumb"><%=Html.ActionLink("Back to Test Suite", "Index")%></div>

    <h2>Photos</h2>

    <h3>Add Photo to Album</h3>
    <section class="example">
        <% using (Html.BeginForm("UploadPhoto", "Test", FormMethod.Post)) { %>
            <label for="AlbumId">Album:</label>
            <select  name="AlbumId">
            <% foreach (var album in ((IEnumerable<Album>)Model).OrderBy(x => x.Name)) { %>
                <option value="<%= album.Aid %>"><%= album.Name %></option>
            <% } %>
            </select>
            <input class="button" type="submit" value="Add Picture to Album" />
        <% } %>
    </section>

    <h3>View Photos in Album</h3>
    <section class="example">
        <% using(Html.BeginForm("Photos","Test",FormMethod.Post)) { %>
            <label for="AlbumId">Album:</label>
            <select name="AlbumId">
            <% foreach (var album in ((IEnumerable<Album>)Model).OrderBy(x => x.Name)) { %>
                <option value="<%= album.Aid %>"><%= album.Name %></option>
            <% } %>
            </select>
            <input class="button" type="submit" value="View Photos in Album" />
        <% } %>
        <br />

        <% if(ViewData["Photos"]!= null) { %>
            <hr noshade />

            <% foreach (var photo in (IList<Photo>)ViewData["Photos"]) { %>
                <img src="<% =photo.Src %>" /><br />
                Pid: <% =photo.Pid %> <br />
                Aid: <% =photo.Aid %> <br />
                Caption: <% =photo.Caption %><br />

                <hr noshade />
            <% } %>
        <% } %>
    </section>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageBottomContent" runat="server">
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="PageSpecificJsDomReadyMethods" runat="server">
</asp:Content>

<asp:Content ID="Content6" ContentPlaceHolderID="PageSpecificJs" runat="server">
</asp:Content>