﻿using System.Web.Mvc;

namespace FaceSharp.MVC.Areas.Template
{
    public class TemplateAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "Template";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                "Template_default_tab",
                "Template/PageTab/{action}/{id}",
                new { controller = "Default", action = "PageTab", id = UrlParameter.Optional }
            );
            context.MapRoute(
                "Template_default",
                "Template/{controller}/{action}/{id}",
                new { controller="Default", action = "Index", id = UrlParameter.Optional }
            );
        }
    }
}
