﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Newtonsoft.Json;

namespace FaceSharp.Api.Types
{
    public class Photo
    {
        public string Id { get; set; }
        public string Picture { get; set; }
        public string Source { get; set; }
        public int Height { get; set; }
        public int Width { get; set; }
        public IEnumerable<ImagesData> Images { get; set; }
        public string Link { get; set; }
        public string Icon { get; set; }
        public int Position { get; set; }
        public string Name { get; set; }
            
        [Serializable]
        public class ImagesData
        {
            public int Height { get; set; }
            public int Width { get; set; }
            public string Source { get; set; }
        }
    }
}