﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Newtonsoft.Json;

namespace FaceSharp.Api.Types
{
    public class User
    {
        public long Id { get; set; }
        public string Name { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Email { get; set; }
        public DateTime? Birthday { get; set; }
        public string Gender { get; set; }
        public string City { get; set; }
        public string StateProvince { get; set; }
        public IEnumerable<AccountData> Accounts { get; set; }
        public class AccountData
        {
            public string Name { get; set; }
            public string Category { get; set; }
            public long Id { get; set; }
            [JsonProperty(PropertyName = "access_token")]
            public string AccessToken { get; set; }
        }
    }
}